<html>
<head>
<title>OgreMeshSerializerImpl.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreMeshSerializerImpl.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreMeshSerializerImpl_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __MeshSerializerImpl_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __MeshSerializerImpl_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreSerializer_8h.html">OgreSerializer.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreMaterial_8h.html">OgreMaterial.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreMesh_8h.html">OgreMesh.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreEdgeListBuilder_8h.html">OgreEdgeListBuilder.h</a>&quot;</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="keyword">namespace </span>Ogre {
<a name="l00040"></a>00040     
<a name="l00041"></a>00041     <span class="keyword">class </span>MeshSerializerListener;
<a name="l00042"></a>00042     <span class="keyword">class </span>LodStrategy;
<a name="l00043"></a>00043 
<a name="l00061"></a><a class="code" href="classOgre_1_1MeshSerializerImpl.html">00061</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1MeshSerializerImpl.html" title="Internal implementation of Mesh reading / writing for the latest version of the .mesh format...">MeshSerializerImpl</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Serializer.html" title="Generic class for serialising data to / from binary stream-based files.">Serializer</a>
<a name="l00062"></a>00062     {
<a name="l00063"></a>00063     <span class="keyword">public</span>:
<a name="l00064"></a>00064         <a class="code" href="classOgre_1_1MeshSerializerImpl.html" title="Internal implementation of Mesh reading / writing for the latest version of the .mesh format...">MeshSerializerImpl</a>();
<a name="l00065"></a>00065         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1MeshSerializerImpl.html" title="Internal implementation of Mesh reading / writing for the latest version of the .mesh format...">MeshSerializerImpl</a>();
<a name="l00074"></a>00074         <span class="keywordtype">void</span> exportMesh(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> stream,
<a name="l00075"></a>00075             <a class="code" href="classOgre_1_1Serializer.html#a5122d5a3161fb5fd819d9a0521fe9d39" title="The endianness of written files.">Endian</a> endianMode = ENDIAN_NATIVE);
<a name="l00076"></a>00076 
<a name="l00084"></a>00084         <span class="keywordtype">void</span> importMesh(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pDest, <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener);
<a name="l00085"></a>00085 
<a name="l00086"></a>00086     <span class="keyword">protected</span>:
<a name="l00087"></a>00087 
<a name="l00088"></a>00088         <span class="comment">// Internal methods</span>
<a name="l00089"></a>00089         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSubMeshNameTable(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00090"></a>00090         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeMesh(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00091"></a>00091         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSubMesh(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* s);
<a name="l00092"></a>00092         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSubMeshOperation(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* s);
<a name="l00093"></a>00093         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSubMeshTextureAliases(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* s);
<a name="l00094"></a>00094         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeGeometry(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* pGeom);
<a name="l00095"></a>00095         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSkeletonLink(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; skelName);
<a name="l00096"></a>00096         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeMeshBoneAssignment(<span class="keyword">const</span> <a class="code" href="structOgre_1_1VertexBoneAssignment__s.html" title="Records the assignment of a single vertex to a single bone with the corresponding weight...">VertexBoneAssignment</a>&amp; assign);
<a name="l00097"></a>00097         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSubMeshBoneAssignment(<span class="keyword">const</span> <a class="code" href="structOgre_1_1VertexBoneAssignment__s.html" title="Records the assignment of a single vertex to a single bone with the corresponding weight...">VertexBoneAssignment</a>&amp; assign);
<a name="l00098"></a>00098         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodInfo(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00099"></a>00099         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodSummary(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> numLevels, <span class="keywordtype">bool</span> manual, <span class="keyword">const</span> <a class="code" href="classOgre_1_1LodStrategy.html" title="Strategy for determining level of detail.">LodStrategy</a> *strategy);
<a name="l00100"></a>00100         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodUsageManual(<span class="keyword">const</span> <a class="code" href="structOgre_1_1MeshLodUsage.html" title="A way of recording the way each LODs is recorded this Mesh.">MeshLodUsage</a>&amp; usage);
<a name="l00101"></a>00101         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodUsageGenerated(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <span class="keyword">const</span> <a class="code" href="structOgre_1_1MeshLodUsage.html" title="A way of recording the way each LODs is recorded this Mesh.">MeshLodUsage</a>&amp; usage, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> lodNum);
<a name="l00102"></a>00102         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeBoundsInfo(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00103"></a>00103         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeEdgeList(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00104"></a>00104         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeAnimations(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00105"></a>00105         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeAnimation(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a>* anim);
<a name="l00106"></a>00106         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writePoses(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00107"></a>00107         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writePose(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a>* pose);
<a name="l00108"></a>00108         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeAnimationTrack(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information.">VertexAnimationTrack</a>* track);
<a name="l00109"></a>00109         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeMorphKeyframe(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexMorphKeyFrame.html" title="Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.">VertexMorphKeyFrame</a>* kf, <span class="keywordtype">size_t</span> vertexCount);
<a name="l00110"></a>00110         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writePoseKeyframe(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexPoseKeyFrame.html" title="Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets...">VertexPoseKeyFrame</a>* kf);
<a name="l00111"></a>00111         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writePoseKeyframePoseRef(<span class="keyword">const</span> <a class="code" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html" title="Reference to a pose at a given influence level.">VertexPoseKeyFrame::PoseRef</a>&amp; poseRef);
<a name="l00112"></a>00112         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeExtremes(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh);
<a name="l00113"></a>00113         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeSubMeshExtremes(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> idx, <span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* s);
<a name="l00114"></a>00114 
<a name="l00115"></a>00115         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcMeshSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00116"></a>00116         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcSubMeshSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* pSub);
<a name="l00117"></a>00117         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcGeometrySize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* pGeom);
<a name="l00118"></a>00118         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcSkeletonLinkSize(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; skelName);
<a name="l00119"></a>00119         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcBoneAssignmentSize(<span class="keywordtype">void</span>);
<a name="l00120"></a>00120         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcSubMeshOperationSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* pSub);
<a name="l00121"></a>00121         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcSubMeshNameTableSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00122"></a>00122         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcEdgeListSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00123"></a>00123         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcEdgeListLodSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1EdgeData.html" title="This class contains the information required to describe the edge connectivity of a given set of vert...">EdgeData</a>* data, <span class="keywordtype">bool</span> isManual);
<a name="l00124"></a>00124         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcEdgeGroupSize(<span class="keyword">const</span> <a class="code" href="structOgre_1_1EdgeData_1_1EdgeGroup.html" title="A group of edges sharing the same vertex data.">EdgeData::EdgeGroup</a>&amp; group);
<a name="l00125"></a>00125         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcPosesSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00126"></a>00126         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcPoseSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a>* pose);
<a name="l00127"></a>00127         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcAnimationsSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00128"></a>00128         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcAnimationSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a>* anim);
<a name="l00129"></a>00129         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcAnimationTrackSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information.">VertexAnimationTrack</a>* track);
<a name="l00130"></a>00130         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcMorphKeyframeSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexMorphKeyFrame.html" title="Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.">VertexMorphKeyFrame</a>* kf, <span class="keywordtype">size_t</span> vertexCount);
<a name="l00131"></a>00131         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcPoseKeyframeSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexPoseKeyFrame.html" title="Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets...">VertexPoseKeyFrame</a>* kf);
<a name="l00132"></a>00132         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcPoseKeyframePoseRefSize(<span class="keywordtype">void</span>);
<a name="l00133"></a>00133         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcPoseVertexSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a>* pose);
<a name="l00134"></a>00134         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> calcSubMeshTextureAliasesSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* pSub);
<a name="l00135"></a>00135 
<a name="l00136"></a>00136 
<a name="l00137"></a>00137         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readTextureLayer(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; pMat);
<a name="l00138"></a>00138         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readSubMeshNameTable(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00139"></a>00139         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMesh(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener);
<a name="l00140"></a>00140         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readSubMesh(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener);
<a name="l00141"></a>00141         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readSubMeshOperation(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* sub);
<a name="l00142"></a>00142         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readSubMeshTextureAlias(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* sub);
<a name="l00143"></a>00143         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometry(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00144"></a>00144         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryVertexDeclaration(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00145"></a>00145         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryVertexElement(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00146"></a>00146         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryVertexBuffer(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00147"></a>00147 
<a name="l00148"></a>00148         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readSkeletonLink(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener);
<a name="l00149"></a>00149         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMeshBoneAssignment(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00150"></a>00150         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readSubMeshBoneAssignment(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, 
<a name="l00151"></a>00151             <a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* sub);
<a name="l00152"></a>00152         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMeshLodInfo(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00153"></a>00153         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMeshLodUsageManual(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, 
<a name="l00154"></a>00154             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> lodNum, <a class="code" href="structOgre_1_1MeshLodUsage.html" title="A way of recording the way each LODs is recorded this Mesh.">MeshLodUsage</a>&amp; usage);
<a name="l00155"></a>00155         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMeshLodUsageGenerated(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, 
<a name="l00156"></a>00156             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> lodNum, <a class="code" href="structOgre_1_1MeshLodUsage.html" title="A way of recording the way each LODs is recorded this Mesh.">MeshLodUsage</a>&amp; usage);
<a name="l00157"></a>00157         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readBoundsInfo(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00158"></a>00158         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readEdgeList(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00159"></a>00159         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readEdgeListLodInfo(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1EdgeData.html" title="This class contains the information required to describe the edge connectivity of a given set of vert...">EdgeData</a>* edgeData);
<a name="l00160"></a>00160         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readPoses(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00161"></a>00161         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readPose(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00162"></a>00162         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readAnimations(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00163"></a>00163         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readAnimation(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00164"></a>00164         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readAnimationTrack(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Animation.html" title="An animation sequence.">Animation</a>* anim, 
<a name="l00165"></a>00165             <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00166"></a>00166         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMorphKeyFrame(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information.">VertexAnimationTrack</a>* track);
<a name="l00167"></a>00167         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readPoseKeyFrame(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information.">VertexAnimationTrack</a>* track);
<a name="l00168"></a>00168         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readExtremes(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a> *pMesh);
<a name="l00169"></a>00169 
<a name="l00170"></a>00170 
<a name="l00172"></a>00172         <span class="keyword">virtual</span> <span class="keywordtype">void</span> flipFromLittleEndian(<span class="keywordtype">void</span>* pData, <span class="keywordtype">size_t</span> vertexCount, <span class="keywordtype">size_t</span> vertexSize, <span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexDeclaration.html#a3229cfa9d056740702853b27249c7181" title="Defines the list of vertex elements that makes up this declaration.">VertexDeclaration::VertexElementList</a>&amp; elems);
<a name="l00174"></a>00174         <span class="keyword">virtual</span> <span class="keywordtype">void</span> flipToLittleEndian(<span class="keywordtype">void</span>* pData, <span class="keywordtype">size_t</span> vertexCount, <span class="keywordtype">size_t</span> vertexSize, <span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexDeclaration.html#a3229cfa9d056740702853b27249c7181" title="Defines the list of vertex elements that makes up this declaration.">VertexDeclaration::VertexElementList</a>&amp; elems);
<a name="l00177"></a>00177         <span class="keyword">virtual</span> <span class="keywordtype">void</span> flipEndian(<span class="keywordtype">void</span>* pData, <span class="keywordtype">size_t</span> vertexCount, <span class="keywordtype">size_t</span> vertexSize, <span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexDeclaration.html#a3229cfa9d056740702853b27249c7181" title="Defines the list of vertex elements that makes up this declaration.">VertexDeclaration::VertexElementList</a>&amp; elems);
<a name="l00178"></a>00178 
<a name="l00179"></a>00179 
<a name="l00180"></a>00180 
<a name="l00181"></a>00181     };
<a name="l00182"></a>00182 
<a name="l00186"></a><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__41.html">00186</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__41.html" title="Class for providing backwards-compatibility for loading version 1.41 of the .mesh format...">MeshSerializerImpl_v1_41</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MeshSerializerImpl.html" title="Internal implementation of Mesh reading / writing for the latest version of the .mesh format...">MeshSerializerImpl</a>
<a name="l00187"></a>00187     {
<a name="l00188"></a>00188     <span class="keyword">public</span>:
<a name="l00189"></a>00189         <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__41.html" title="Class for providing backwards-compatibility for loading version 1.41 of the .mesh format...">MeshSerializerImpl_v1_41</a>();
<a name="l00190"></a>00190         ~<a class="code" href="classOgre_1_1MeshSerializerImpl__v1__41.html" title="Class for providing backwards-compatibility for loading version 1.41 of the .mesh format...">MeshSerializerImpl_v1_41</a>();
<a name="l00191"></a>00191     <span class="keyword">protected</span>:
<a name="l00192"></a>00192         <span class="keywordtype">void</span> writeMorphKeyframe(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexMorphKeyFrame.html" title="Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.">VertexMorphKeyFrame</a>* kf, <span class="keywordtype">size_t</span> vertexCount);
<a name="l00193"></a>00193         <span class="keywordtype">void</span> readMorphKeyFrame(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information.">VertexAnimationTrack</a>* track);
<a name="l00194"></a>00194         <span class="keywordtype">void</span> writePose(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a>* pose);
<a name="l00195"></a>00195         <span class="keywordtype">void</span> readPose(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00196"></a>00196         <span class="keywordtype">size_t</span> calcMorphKeyframeSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexMorphKeyFrame.html" title="Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.">VertexMorphKeyFrame</a>* kf, <span class="keywordtype">size_t</span> vertexCount);
<a name="l00197"></a>00197         <span class="keywordtype">size_t</span> calcPoseSize(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a>* pose);
<a name="l00198"></a>00198         <span class="keywordtype">size_t</span> calcPoseVertexSize(<span class="keywordtype">void</span>);
<a name="l00199"></a>00199     };
<a name="l00200"></a>00200 
<a name="l00204"></a><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__4.html">00204</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__4.html" title="Class for providing backwards-compatibility for loading version 1.4 of the .mesh format.">MeshSerializerImpl_v1_4</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__41.html" title="Class for providing backwards-compatibility for loading version 1.41 of the .mesh format...">MeshSerializerImpl_v1_41</a>
<a name="l00205"></a>00205     {
<a name="l00206"></a>00206     <span class="keyword">public</span>:
<a name="l00207"></a>00207         <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__4.html" title="Class for providing backwards-compatibility for loading version 1.4 of the .mesh format.">MeshSerializerImpl_v1_4</a>();
<a name="l00208"></a>00208         ~<a class="code" href="classOgre_1_1MeshSerializerImpl__v1__4.html" title="Class for providing backwards-compatibility for loading version 1.4 of the .mesh format.">MeshSerializerImpl_v1_4</a>();
<a name="l00209"></a>00209     <span class="keyword">protected</span>:
<a name="l00210"></a>00210         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodSummary(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> numLevels, <span class="keywordtype">bool</span> manual, <span class="keyword">const</span> <a class="code" href="classOgre_1_1LodStrategy.html" title="Strategy for determining level of detail.">LodStrategy</a> *strategy);
<a name="l00211"></a>00211         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodUsageManual(<span class="keyword">const</span> <a class="code" href="structOgre_1_1MeshLodUsage.html" title="A way of recording the way each LODs is recorded this Mesh.">MeshLodUsage</a>&amp; usage);
<a name="l00212"></a>00212         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeLodUsageGenerated(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <span class="keyword">const</span> <a class="code" href="structOgre_1_1MeshLodUsage.html" title="A way of recording the way each LODs is recorded this Mesh.">MeshLodUsage</a>&amp; usage,
<a name="l00213"></a>00213                                     <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> lodNum);
<a name="l00214"></a>00214 
<a name="l00215"></a>00215         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMeshLodInfo(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00216"></a>00216     };
<a name="l00217"></a>00217 
<a name="l00221"></a><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__3.html">00221</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__3.html" title="Class for providing backwards-compatibility for loading version 1.3 of the .mesh format.">MeshSerializerImpl_v1_3</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__4.html" title="Class for providing backwards-compatibility for loading version 1.4 of the .mesh format.">MeshSerializerImpl_v1_4</a>
<a name="l00222"></a>00222     {
<a name="l00223"></a>00223     <span class="keyword">public</span>:
<a name="l00224"></a>00224         <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__3.html" title="Class for providing backwards-compatibility for loading version 1.3 of the .mesh format.">MeshSerializerImpl_v1_3</a>();
<a name="l00225"></a>00225         ~<a class="code" href="classOgre_1_1MeshSerializerImpl__v1__3.html" title="Class for providing backwards-compatibility for loading version 1.3 of the .mesh format.">MeshSerializerImpl_v1_3</a>();
<a name="l00226"></a>00226     <span class="keyword">protected</span>:
<a name="l00227"></a>00227         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readEdgeListLodInfo(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1EdgeData.html" title="This class contains the information required to describe the edge connectivity of a given set of vert...">EdgeData</a>* edgeData);
<a name="l00228"></a>00228 
<a name="l00230"></a>00230         <span class="keyword">virtual</span> <span class="keywordtype">void</span> reorganiseTriangles(<a class="code" href="classOgre_1_1EdgeData.html" title="This class contains the information required to describe the edge connectivity of a given set of vert...">EdgeData</a>* edgeData);
<a name="l00231"></a>00231         
<a name="l00232"></a>00232         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeEdgeList(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh);
<a name="l00233"></a>00233     };
<a name="l00234"></a>00234 
<a name="l00238"></a><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__2.html">00238</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__2.html" title="Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.">MeshSerializerImpl_v1_2</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__3.html" title="Class for providing backwards-compatibility for loading version 1.3 of the .mesh format.">MeshSerializerImpl_v1_3</a>
<a name="l00239"></a>00239     {
<a name="l00240"></a>00240     <span class="keyword">public</span>:
<a name="l00241"></a>00241         <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__2.html" title="Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.">MeshSerializerImpl_v1_2</a>();
<a name="l00242"></a>00242         ~<a class="code" href="classOgre_1_1MeshSerializerImpl__v1__2.html" title="Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.">MeshSerializerImpl_v1_2</a>();
<a name="l00243"></a>00243     <span class="keyword">protected</span>:
<a name="l00244"></a>00244         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readMesh(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener);
<a name="l00245"></a>00245         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometry(<a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00246"></a>00246         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryPositions(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bindIdx, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, 
<a name="l00247"></a>00247             <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00248"></a>00248         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryNormals(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bindIdx, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, 
<a name="l00249"></a>00249             <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00250"></a>00250         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryColours(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bindIdx, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, 
<a name="l00251"></a>00251             <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest);
<a name="l00252"></a>00252         <span class="keyword">virtual</span> <span class="keywordtype">void</span> readGeometryTexCoords(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bindIdx, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, 
<a name="l00253"></a>00253             <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <span class="keyword">set</span>);
<a name="l00254"></a>00254     };
<a name="l00255"></a>00255 
<a name="l00259"></a><a class="code" href="classOgre_1_1MeshSerializerImpl__v1__1.html">00259</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#af4c2f5df97e3050dd5266408be42db4b">_OgrePrivate</a> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__1.html" title="Class for providing backwards-compatibility for loading version 1.1 of the .mesh format.">MeshSerializerImpl_v1_1</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__2.html" title="Class for providing backwards-compatibility for loading version 1.2 of the .mesh format.">MeshSerializerImpl_v1_2</a>
<a name="l00260"></a>00260     {
<a name="l00261"></a>00261     <span class="keyword">public</span>:
<a name="l00262"></a>00262         <a class="code" href="classOgre_1_1MeshSerializerImpl__v1__1.html" title="Class for providing backwards-compatibility for loading version 1.1 of the .mesh format.">MeshSerializerImpl_v1_1</a>();
<a name="l00263"></a>00263         ~<a class="code" href="classOgre_1_1MeshSerializerImpl__v1__1.html" title="Class for providing backwards-compatibility for loading version 1.1 of the .mesh format.">MeshSerializerImpl_v1_1</a>();
<a name="l00264"></a>00264     <span class="keyword">protected</span>:
<a name="l00265"></a>00265         <span class="keywordtype">void</span> readGeometryTexCoords(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> bindIdx, <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream, 
<a name="l00266"></a>00266             <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* dest, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <span class="keyword">set</span>);
<a name="l00267"></a>00267     };
<a name="l00268"></a>00268 
<a name="l00272"></a>00272 }
<a name="l00273"></a>00273 
<a name="l00274"></a>00274 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
